<?xml version="1.0" encoding="UTF-8" ?>
<!DOCTYPE mapper
PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN"
"http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="com.bs.df.mapper.DfBrokerMapper">

    <insert id="updateByNull" parameterType="com.bs.df.domain.DfBroker">
        UPDATE df_broker
        <set>
            <if test="dfBroker.parentId != null">
                parent_id = #{dfBroker.parentId},
            </if>
            <if test="dfBroker.parentId == null">
                parent_id = NULL,
            </if>
            <!-- 其他字段更新 -->
        </set>
        WHERE id = #{dfBroker.id}

    </insert>
</mapper>
